# Created by pyp2rpm-3.3.2
%global pypi_name metaextract

Name:           python-%{pypi_name}
Version:        1.0.9
Release:        %mkrel 5
Summary:        get metadata for python modules
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/toabctl/metaextract
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)

%description
metaextract - get metadata for python modules metaextract is a tool to collect
metadata about a python module. For example you may have a sdist tarball from
the Python Package Index_ and you want to know it's dependencies. metaextract
can collect theses dependencies. The tool was first developed in py2pack_ but
is now it's own module to be

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
metaextract - get metadata for python modules metaextract is a tool to collect
metadata about a python module. For example you may have a sdist tarball from
the Python Package Index_ and you want to know it's dependencies. metaextract
can collect theses dependencies. The tool was first developed in py2pack_ but
is now it's own module to be

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files metaextract

%check
%pytest || true

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/metaextract


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.9-5.mga10
+ Revision: 2240239
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.9-4.mga10
+ Revision: 2157257
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 1.0.9-3.mga10
+ Revision: 2129017
- add and use pytest

* Sat Feb 24 2024 daviddavid <daviddavid> 1.0.9-2.mga10
+ Revision: 2043928
- rebuild for py3.12

* Tue Sep 19 2023 papoteur <papoteur> 1.0.9-1.mga10
+ Revision: 1988179
- new 1.0.9

* Sun Mar 27 2022 umeabot <umeabot> 1.0.8-3.mga9
+ Revision: 1829126
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.8-2.mga9
+ Revision: 1783780
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 1.0.8-1.mga9
+ Revision: 1771246
- version 1.0.8

* Sat Jun 26 2021 wally <wally> 1.0.7-2.mga9
+ Revision: 1732643
- Rebuild for python 3.9

* Mon Apr 20 2020 shlomif <shlomif> 1.0.7-1.mga8
+ Revision: 1570034
- New version 1.0.7

* Sun Feb 16 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1532078
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.0.6-2.mga8
+ Revision: 1441456
- rebuild for python-3.8

* Tue Aug 20 2019 wally <wally> 1.0.6-1.mga8
+ Revision: 1430547
- new version 1.0.6
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.0.5-1.mga7
+ Revision: 1353826
- pyp2rpm

